# Interface methods for submodule: PyVnl
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: PyVnl
class PyVnlProxy():
	@staticmethod
	def _GetArrayViewFromVnlVector(vector):
		""""""
		...

	@staticmethod
	def _GetVnlVectorFromArray(arr, shape) -> vnl_vector:
		""""""
		...

	@staticmethod
	def _GetArrayViewFromVnlMatrix(matrix):
		""""""
		...

	@staticmethod
	def _GetVnlMatrixFromArray(arr, shape) -> vnl_matrix:
		""""""
		...

